org.apache.lucene.analysis.compound.hyphenation

## Class Hyphenation

- java.lang.Object
- - org.apache.lucene.analysis.compound.hyphenation.Hyphenation

-     public class Hyphenation
      extends Object

  This class represents a hyphenated word. This class has been taken from the Apache FOP project (http://xmlgraphics.apache.org/fop/). They have been slightly modified.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `getHyphenationPoints()`
    `int` | `length()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### length

          public int length()

      Returns:
        the number of hyphenation points in the word

    - #### getHyphenationPoints

          public int[] getHyphenationPoints()

      Returns:
        the hyphenation points

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.